<?
/**
 * VoiceOne Settings/Rules
 *
 * Frontend to provide access to the rules system in voiceone.
 * @package voiceone
 * @subpackage  settings_rules
 */
  include ("../../admin/config/cfg.php");
  global $cwlang, $cwLanguage;
  
  //================ PAGE LOGIC ================
  $alert=getAlert();
  
  if ($_GET["cmd"]=="del") {
    $ret=$asterisk->delIsdnGroup($_GET["id"]);
    if ($ret==1) $alert="<div class=\"AlertGood\">".$cwlang["isdngrp"]["alertDelGood"]."</div>";
    else $alert="<div class=\"AlertBad\">".$cwlang["isdngrp"]["alertDelBad"]."</div>";
  }
  
  $ret=$asterisk->getIsdnGroup(0);
  if ($err=$asterisk->getError()) die("Error: $err");
  $count=0;
  if (is_array($ret)) {
    foreach($ret as $v) {
      $id=$v["id"];
      $name=$v["name"];
      $order=$v["trunk_order"];
      $ports = implode(",", $v["port"]);
      $html.="<td><a href=\"edit/?id=$id\">$name</a> (priority: <strong>$order</strong>, ports: <strong>$ports</strong>) <a href=\"$PHP_SELF?cmd=del&id=$id\" onclick=\"if (confirm('Are you sure to delete the $name group?')) return true; else return false;\"><img src=\"$relBasePath/public/img/trash.gif\" /></a></td>\n";
      if ((++$count)%2==0) $html.="</tr><tr>\n";
    }
  }  
  //================ MAIN CONTENTS ================
  ob_start();
  ?>
  <?include("navigation.php");?>

  <div class="SectionHeader">
    <?=$alert?>
    <h1>Outgoing Rules</h1>
    <h3><a href="edit/" class="admin" >New outgoing rule</a></h3>
  </div>
  <table class="todolist">
    <tr>
      <?=$html?>
    </tr>
  </table>

  <br/>
  <div class="SectionHeader">
    <h1>Incoming Rules</h1>
    <h3><a href="edit/" class="admin" >New incoming rule</a></h3>
  </div>
  <table class="todolist">
    <tr>
      <?=$html?>
    </tr>
  </table>

  <br/>
  <div class="SectionHeader">
    <h1>Time Segment</h1>
    <h3><a href="edit/" class="admin" >New time segment</a></h3>
  </div>
  <table class="todolist">
    <tr>
      <?=$html?>
    </tr>
  </table>
  <?
  $contents=ob_get_contents();
  ob_end_clean();

  //================ SIDEBAR ================
  ob_start(); 
  ?>
        <div class="Sidebar">
          <h1><?=$cwlang["isdngrp"]["sidebarTitle"]?></h1>
          <?=$cwlang["isdngrp"]["sidebarDesc"]?>
        </div>
  <?  
  $sidebar=ob_get_contents();
  ob_end_clean();

  //================ SETTINGS ================

  $smarty->assign("section", "rules");
  $smarty->assign("subsection", "");
  $smarty->assign("templateType", "TwoColLeft");  //OneCol, TwoColLeft, TwoColRight
  $smarty->assign("contents", $contents);
  $smarty->assign("sidebar", $sidebar);
  $smarty->display('settings.tpl');
?>

